This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 599616 - Squirrelmail does not come up in aliased url after installation
Squirrelmail does not come up in aliased url after installation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 11:48 EDT by Joel James Adamson
Modified: 2010-11-04 03:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: squirrelmail-1.4.20-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 03:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joel James Adamson 2010-06-03 11:48:24 EDT
Description of problem:

Browsing url http://localhost/squirrelmail produces blank page in Firefox

Version-Release number of selected component (if applicable):
1.4.20  1.fc12  

How reproducible:

Everytime

Steps to Reproduce:
1.  Install squirrelmail
2.  Browse to recommended location as aliased in /etc/httpd/conf.d/squirrelmail.conf
  
Actual results:

"Problem loading page"

Expected results:

Squirrelmail login page

Additional info:  PHP is enabled; apache works fine; I have trac, Subversion, phpmyadmin on the same machine (Fedora 12 x86_64) and they run with no problems.  I'm running dovecot.  I had the exact same problem on a different machine with Fedora 12 i686.
Comment 1 Michal Hlavinka 2010-06-04 06:54:24 EDT
I just did fresh install of F-12 in virtual machine, updated it and installed apache and squirrelmail. Everything was working fine

just wild guess, do you have mod_ssl installed?
Comment 2 Joel James Adamson 2010-06-04 12:33:32 EDT
(In reply to comment #1)
> I just did fresh install of F-12 in virtual machine, updated it and installed
> apache and squirrelmail. Everything was working fine
> 
> just wild guess, do you have mod_ssl installed?    

Not that wild!  It's working now.  

I know mod_ssl is not a true dependency, but I did not see it mentioned anywhere in any documentation.

I'll file complains with the interested parties.

Thanks!
Joel
Comment 3 Michal Hlavinka 2010-06-07 03:17:07 EDT
(In reply to comment #2)
> I know mod_ssl is not a true dependency, but I did not see it mentioned
> anywhere in any documentation.

ok, I'll add this information to squirrelmail.conf
Comment 4 Fedora Update System 2010-06-07 04:33:34 EDT
squirrelmail-1.4.20-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/squirrelmail-1.4.20-2.fc13
Comment 5 Fedora Update System 2010-06-07 04:33:41 EDT
squirrelmail-1.4.20-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/squirrelmail-1.4.20-2.fc12
Comment 6 Fedora Update System 2010-06-07 18:08:39 EDT
squirrelmail-1.4.20-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update squirrelmail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/squirrelmail-1.4.20-2.fc12
Comment 7 Fedora Update System 2010-06-07 18:33:57 EDT
squirrelmail-1.4.20-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update squirrelmail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/squirrelmail-1.4.20-2.fc13
Comment 8 Bug Zapper 2010-11-03 09:39:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.